Web4Web.IT - Community Forums
WordPress 2.9 - Versione stampabile

+- Web4Web.IT - Community Forums (https://www.web4web.it/forum)
+-- Forum: Supporto Tecnico (/forum-21.html)
+--- Forum: Programmazione & Design (/forum-23.html)
+---- Forum: PHP (/forum-24.html)
+---- Discussione: WordPress 2.9 (/thread-113.html)

1 2


WordPress 2.9 - Peter Pan - 06-01-2010 21:00

Ho provato ad installare Wordpress 2.9 ma mi restituiva sempre un errore (non si riusciva ad entrare in contatto con il database).
Tanto per provare ho installato la versione 2.8 e l'installazione è andata a buon fine senza problemi.

Ma ci sono delle incompatibilità con i domini su Web4Web e Wordpress 2.9 oppure è stato solo un caso isolato. Leggo che anche altri utenti hanno problemi con la versione 2.9.


RE: WordPress 2.9 - Gandalf - 06-01-2010 21:03

Di preciso, che errore ti veniva riportato?
Non ci risultano problemi di compatibilità tra WP 2.9 ed i nostri server.
WP 2.9 contiene (a detta degli sviluppatori stessi) un bug che fa a cazzotti con PHP, ma non dovrebbe aver niente a che fare con il database.


RE: WordPress 2.9 - Pirosauro - 06-01-2010 21:29

(06-01-2010 21:03)Gandalf Ha scritto:  : https://www.web4web.it/forum/post-741.html#pid741Non ci risultano problemi di compatibilità tra WP 2.9 ed i nostri server.

confermo, nessun problema d'installazione.

Controlla i dati inseriti, anche nel copia/incolla può capitare che scivoli un carattere non voluto


RE: WordPress 2.9 - Peter Pan - 07-01-2010 09:32

L'errore restituito adesso non lo ricordo con precisione ma era qualcosa del tipo "Non è possibile contattare il database, controllare le informazioni di installazione".
Ho ricontrollato più e più volte i dati di installazione senza risultati. Allora ho installato la versione 2.8 e con gli stessi dati (ho utilizzato il completamento automatico quindi sono proprio gli stessi dati) e tutto è andato a buon fine.

Comunque, l'importante adesso è che il sito è in funzione. Siete a conoscenza di controindicazioni all'aggiornamento automatico alla versione 2.9?

(06-01-2010 21:29)Pirosauro Ha scritto:  : https://www.web4web.it/forum/post-741.html#pid741Non ci risultano problemi di compatibilità tra WP 2.9 ed i nostri server.

confermo, nessun problema d'installazione.

Controlla i dati inseriti, anche nel copia/incolla può capitare che scivoli un carattere non voluto


RE: WordPress 2.9 - Pirosauro - 07-01-2010 15:58

(07-01-2010 09:32)Peter Pan Ha scritto:  : https://www.web4web.it/forum/post-746.html#pid746L'errore restituito adesso non lo ricordo con precisione ma era qualcosa del tipo "Non è possibile contattare il database, controllare le informazioni di installazione".
Ho ricontrollato più e più volte i dati di installazione senza risultati. Allora ho installato la versione 2.8 e con gli stessi dati (ho utilizzato il completamento automatico quindi sono proprio gli stessi dati) e tutto è andato a buon fine.

ho installato, per provare, la 2.9.1 (inglese) e ti posso assicurare che non ho riscontrato nessun problema.
Gandalf, ti risultano temporanei disservizi al server mysql? magari è stato sfortunato da beccare i 2 minuti di down.

(07-01-2010 09:32)Peter Pan Ha scritto:  : https://www.web4web.it/forum/post-746.html#pid746Comunque, l'importante adesso è che il sito è in funzione. Siete a conoscenza di controindicazioni all'aggiornamento automatico alla versione 2.9?

non saprei. Faccio sempre tutto a mano, dopo una prova in locale... mi sento più sicuro.
se è vuoto, tanto vale provare, non hai nulla da perdere (a parte altri 10 minuti per re-installarlo in caso di errore Undecided)


RE: WordPress 2.9 - Gandalf - 07-01-2010 16:03

(07-01-2010 15:58)Pirosauro Ha scritto:  : https://www.web4web.it/forum/post-747.html#pid747Gandalf, ti risultano temporanei disservizi al server mysql? magari è stato sfortunato da beccare i 2 minuti di down.

No, non ci risultano.
I servizi son monitorati da alcuni server esterni e nei grafici (o nello storico delle interrogazioni) non ci risulta alcun disservizio nemmeno momentaneo.


RE: WordPress 2.9 - Pirosauro - 07-01-2010 16:54

allora ti conviene (sempre se hai ancora tutto vuoto):
- salvare il file di configurazione (wp-config.php se non vado errato)
- eliminare tutte le tabelle dal db tramite phpmyadmin (occhio solo le tabelle, non il db)
- eliminare tutti i file di wp 2.8.x
- copiare tutti i file di wp 2.9.x
- copiare il file di configurazione che avevi salvato in precedenza
- lanciare l'installazione (wp-admin/install.php), così ti dovrebbe recuperare i dati del db e chiederti solo il nome del blog


RE: WordPress 2.9 - Peter Pan - 07-01-2010 17:53

Ok, faccio un backup di tutto e ritento l'installazione della 2.9 e vi tengo informati. ok?

(07-01-2010 16:03)Gandalf Ha scritto:  : https://www.web4web.it/forum/post-747.html#pid747Gandalf, ti risultano temporanei disservizi al server mysql? magari è stato sfortunato da beccare i 2 minuti di down.

No, non ci risultano.
I servizi son monitorati da alcuni server esterni e nei grafici (o nello storico delle interrogazioni) non ci risulta alcun disservizio nemmeno momentaneo.


RE: WordPress 2.9 - Peter Pan - 07-01-2010 18:24

Niente da fare...

Ho provato di nuovo con l'installazione pulita (svuotato il database, eliminato tutti i files, etc.) ma il risultato è stato questo:

Errore nello stabilire una connessione al database
Ciò significa che le informazioni sul nome utente o sulla password presenti nel file wp-config.php non sono corrette o che non è possibile contattare il server del database a localhost. Il che potrebbe voler dire che il database server del fornitore di hosting non è attivo.

Si è sicuri di disporre del nome utente e della password corretti?
Si è sicuri di aver digitato correttamente il nome dell'host?
Si è sicuri che il server del database sia funzionante?
Nel caso non si abbia certezza sul significato di questi termini è opportuno contattare il proprio host. Se si ha bisogno di ulteriore aiuto è sempre possibile visitare il Forum di supporto italiano su WordPress.

Allora ho provato con il vecchio file di configurazione "wp-config.php", stesso risultato. Mah... Procedo al ripristino del backup e poi provo all'aggiornamento automatico.

Tanto per essere precisi, sto utilizzando la versione Wordpress 2.9 XXL scaricata dal sito italiano di Wordpress.


RE: WordPress 2.9 - Pirosauro - 07-01-2010 18:27

ok, devo uscire un'oretta, se non passa Gandalf a dirti cosa fare, posso provare a scaricare quella versione e vedere cosa non và